Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Friends | List of all members
OsiSolverInterface::ApplyCutsReturnCode Class Reference

Internal class for obtaining status from the applyCuts method. More...

`#include <OsiSolverInterface.hpp>`

## Public Member Functions
Constructors and desctructors
| ApplyCutsReturnCode ()
| Default constructor. More...
| ApplyCutsReturnCode (const ApplyCutsReturnCode &rhs)
| Copy constructor. More...
ApplyCutsReturnCode & | operator= (const ApplyCutsReturnCode &rhs)
| Assignment operator. More...
| ~ApplyCutsReturnCode ()
| Destructor. More...
Accessing return code attributes
int | getNumInconsistent () const
| Number of logically inconsistent cuts. More...
int | getNumInconsistentWrtIntegerModel () const
| Number of cuts inconsistent with the current model. More...
int | getNumInfeasible () const
| Number of cuts that cause obvious infeasibility. More...
int | getNumIneffective () const
| Number of redundant or ineffective cuts. More...
int | getNumApplied () const
| Number of cuts applied. More...

## Private Member Functions
Private methods
void | incrementInternallyInconsistent ()
| Increment logically inconsistent cut counter. More...
void | incrementExternallyInconsistent ()
| Increment model-inconsistent counter. More...
void | incrementInfeasible ()
| Increment infeasible cut counter. More...
void | incrementIneffective ()
| Increment ineffective cut counter. More...
void | incrementApplied ()
| Increment applied cut counter. More...

## Private Attributes
Private member data
int | intInconsistent_
| Counter for logically inconsistent cuts. More...
int | extInconsistent_
| Counter for model-inconsistent cuts. More...
int | infeasible_
| Counter for infeasible cuts. More...
int | ineffective_
| Counter for ineffective cuts. More...
int | applied_
| Counter for applied cuts. More...

## Friends
class | OsiSolverInterface
class | OsiClpSolverInterface
class | OsiGrbSolverInterface

## Detailed Description

Internal class for obtaining status from the applyCuts method.

Definition at line 72 of file OsiSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( |  | ) |
| inline

Default constructor.

Definition at line 81 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( | const ApplyCutsReturnCode & | rhs | ) |
| inline

Copy constructor.

Definition at line 90 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::~ApplyCutsReturnCode | ( |  | ) |
| inline

Destructor.

Definition at line 111 of file OsiSolverInterface.hpp.

## Member Function Documentation

ApplyCutsReturnCode& OsiSolverInterface::ApplyCutsReturnCode::operator= | ( | const ApplyCutsReturnCode & | rhs | ) |
| inline

Assignment operator.

Definition at line 99 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistent | ( |  | ) | const
| inline

Number of logically inconsistent cuts.

Definition at line 117 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistentWrtIntegerModel | ( |  | ) | const
| inline

Number of cuts inconsistent with the current model.

Definition at line 122 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInfeasible | ( |  | ) | const
| inline

Number of cuts that cause obvious infeasibility.

Definition at line 127 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumIneffective | ( |  | ) | const
| inline

Number of redundant or ineffective cuts.

Definition at line 132 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumApplied | ( |  | ) | const
| inline

Number of cuts applied.

Definition at line 137 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInternallyInconsistent | ( |  | ) |
| inline private

Increment logically inconsistent cut counter.

Definition at line 147 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementExternallyInconsistent | ( |  | ) |
| inline private

Increment model-inconsistent counter.

Definition at line 149 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInfeasible | ( |  | ) |
| inline private

Increment infeasible cut counter.

Definition at line 151 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementIneffective | ( |  | ) |
| inline private

Increment ineffective cut counter.

Definition at line 153 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementApplied | ( |  | ) |
| inline private

Increment applied cut counter.

Definition at line 155 of file OsiSolverInterface.hpp.

## Friends And Related Function Documentation

friend class OsiSolverInterface
| friend

Definition at line 73 of file OsiSolverInterface.hpp.

friend class OsiClpSolverInterface
| friend

Definition at line 74 of file OsiSolverInterface.hpp.

friend class OsiGrbSolverInterface
| friend

Definition at line 75 of file OsiSolverInterface.hpp.

## Member Data Documentation

int OsiSolverInterface::ApplyCutsReturnCode::intInconsistent_
| private

Counter for logically inconsistent cuts.

Definition at line 161 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::extInconsistent_
| private

Counter for model-inconsistent cuts.

Definition at line 163 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::infeasible_
| private

Counter for infeasible cuts.

Definition at line 165 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::ineffective_
| private

Counter for ineffective cuts.

Definition at line 167 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::applied_
| private

Counter for applied cuts.

Definition at line 169 of file OsiSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/src/Osi/OsiSolverInterface.hpp